/* treetopgm
 * font.c - the font array used to draw text in the pgm.
 *
 * this is the 4x6 font from ZCN (a CP/M clone I wrote). It's very
 * small, for sure, but it's legible.
 */

#include "font.h"

/* the font covers chars 32-127, 96 in all. */
char font[96*FONT_YDIM][FONT_XDIM+1]=
  {
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  " x  ",
  " x  ",
  " x  ",
  "    ",
  " x  ",
  "    ",
  "x x ",
  "x x ",
  "    ",
  "    ",
  "    ",
  "    ",
  "x x ",
  "xxx ",
  "x x ",
  "xxx ",
  "x x ",
  "    ",
  " x  ",
  " xx ",
  "xx  ",
  " xx ",
  "xx  ",
  "    ",
  "x   ",
  "  x ",
  " x  ",
  "x   ",
  "  x ",
  "    ",
  " x  ",
  "xx  ",
  " x  ",
  "x x ",
  " xx ",
  "    ",
  "  x ",
  " x  ",
  "    ",
  "    ",
  "    ",
  "    ",
  " x  ",
  "x   ",
  "x   ",
  "x   ",
  " x  ",
  "    ",
  " x  ",
  "  x ",
  "  x ",
  "  x ",
  " x  ",
  "    ",
  "x x ",
  " x  ",
  "xxx ",
  " x  ",
  "x x ",
  "    ",
  " x  ",
  " x  ",
  "xxx ",
  " x  ",
  " x  ",
  "    ",
  "    ",
  "    ",
  "    ",
  " x  ",
  "x   ",
  "    ",
  "    ",
  "    ",
  "xxx ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  " x  ",
  "    ",
  "  x ",
  "  x ",
  " x  ",
  " x  ",
  "x   ",
  "    ",
  " x  ",
  "x x ",
  "x x ",
  "x x ",
  " x  ",
  "    ",
  " x  ",
  "xx  ",
  " x  ",
  " x  ",
  "xxx ",
  "    ",
  "xx  ",
  "  x ",
  " x  ",
  "x   ",
  "xxx ",
  "    ",
  "xx  ",
  "  x ",
  " x  ",
  "  x ",
  "xx  ",
  "    ",
  "x   ",
  "xx  ",
  "xxx ",
  " x  ",
  " x  ",
  "    ",
  "xxx ",
  "x   ",
  "xx  ",
  "  x ",
  "xx  ",
  "    ",
  " xx ",
  "x   ",
  "xx  ",
  "x x ",
  " x  ",
  "    ",
  "xxx ",
  "  x ",
  " x  ",
  " x  ",
  " x  ",
  "    ",
  " x  ",
  "x x ",
  " x  ",
  "x x ",
  " x  ",
  "    ",
  " x  ",
  "x x ",
  " xx ",
  "  x ",
  " x  ",
  "    ",
  "    ",
  " x  ",
  "    ",
  " x  ",
  "    ",
  "    ",
  "    ",
  " x  ",
  "    ",
  " x  ",
  "x   ",
  "    ",
  "  x ",
  " x  ",
  "x   ",
  " x  ",
  "  x ",
  "    ",
  "    ",
  "xxx ",
  "    ",
  "xxx ",
  "    ",
  "    ",
  "x   ",
  " x  ",
  "  x ",
  " x  ",
  "x   ",
  "    ",
  " x  ",
  "  x ",
  " x  ",
  "    ",
  " x  ",
  "    ",
  " x  ",
  "xxx ",
  "xxx ",
  "xx  ",
  " xx ",
  "    ",
  " x  ",
  "x x ",
  "xxx ",
  "x x ",
  "x x ",
  "    ",
  "xx  ",
  "x x ",
  "xx  ",
  "x x ",
  "xx  ",
  "    ",
  " x  ",
  "x x ",
  "x   ",
  "x x ",
  " x  ",
  "    ",
  "xx  ",
  "x x ",
  "x x ",
  "x x ",
  "xx  ",
  "    ",
  "xxx ",
  "x   ",
  "xx  ",
  "x   ",
  "xxx ",
  "    ",
  "xxx ",
  "x   ",
  "xx  ",
  "x   ",
  "x   ",
  "    ",
  " x  ",
  "x   ",
  "x x ",
  "x x ",
  " x  ",
  "    ",
  "x x ",
  "x x ",
  "xxx ",
  "x x ",
  "x x ",
  "    ",
  "xxx ",
  " x  ",
  " x  ",
  " x  ",
  "xxx ",
  "    ",
  "xxx ",
  " x  ",
  " x  ",
  " x  ",
  "x   ",
  "    ",
  "x x ",
  "x x ",
  "xx  ",
  "x x ",
  "x x ",
  "    ",
  "x   ",
  "x   ",
  "x   ",
  "x   ",
  "xxx ",
  "    ",
  "xxx ",
  "xxx ",
  "xxx ",
  "x x ",
  "x x ",
  "    ",
  "xx  ",
  "x x ",
  "x x ",
  "x x ",
  "x x ",
  "    ",
  " x  ",
  "x x ",
  "x x ",
  "x x ",
  " x  ",
  "    ",
  "xx  ",
  "x x ",
  "xx  ",
  "x   ",
  "x   ",
  "    ",
  " x  ",
  "x x ",
  "x x ",
  "xxx ",
  " xx ",
  "    ",
  "xx  ",
  "x x ",
  "xx  ",
  "x x ",
  "x x ",
  "    ",
  " xx ",
  "x   ",
  " x  ",
  "  x ",
  "xx  ",
  "    ",
  "xxx ",
  " x  ",
  " x  ",
  " x  ",
  " x  ",
  "    ",
  "x x ",
  "x x ",
  "x x ",
  "x x ",
  "xxx ",
  "    ",
  "x x ",
  "x x ",
  "x x ",
  "xxx ",
  " x  ",
  "    ",
  "x x ",
  "x x ",
  "xxx ",
  "xxx ",
  " x  ",
  "    ",
  "x x ",
  "x x ",
  " x  ",
  "x x ",
  "x x ",
  "    ",
  "x x ",
  "x x ",
  " x  ",
  " x  ",
  " x  ",
  "    ",
  "xxx ",
  "  x ",
  " x  ",
  "x   ",
  "xxx ",
  "    ",
  "xx  ",
  "x   ",
  "x   ",
  "x   ",
  "xx  ",
  "    ",
  "x   ",
  "x   ",
  " x  ",
  " x  ",
  "  x ",
  "    ",
  " xx ",
  "  x ",
  "  x ",
  "  x ",
  " xx ",
  "    ",
  " x  ",
  "x x ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "xxx ",
  "x   ",
  " x  ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  " xx ",
  "x x ",
  "x x ",
  " xx ",
  "    ",
  "x   ",
  "xx  ",
  "x x ",
  "x x ",
  "xx  ",
  "    ",
  "    ",
  " xx ",
  "x   ",
  "x   ",
  " xx ",
  "    ",
  "  x ",
  " xx ",
  "x x ",
  "x x ",
  " xx ",
  "    ",
  "    ",
  " x  ",
  "xxx ",
  "x   ",
  " xx ",
  "    ",
  " xx ",
  " x  ",
  "xxx ",
  " x  ",
  " x  ",
  "    ",
  "    ",
  " xx ",
  "x x ",
  " xx ",
  "  x ",
  "xx  ",
  "x   ",
  "xx  ",
  "x x ",
  "x x ",
  "x x ",
  "    ",
  " x  ",
  "    ",
  " x  ",
  " x  ",
  " x  ",
  "    ",
  "  x ",
  "    ",
  "  x ",
  "  x ",
  "x x ",
  " x  ",
  "x   ",
  "x x ",
  "xx  ",
  "x x ",
  "x x ",
  "    ",
  " x  ",
  " x  ",
  " x  ",
  " x  ",
  "  x ",
  "    ",
  "    ",
  "xx  ",
  "xxx ",
  "xxx ",
  "x x ",
  "    ",
  "    ",
  "xx  ",
  "x x ",
  "x x ",
  "x x ",
  "    ",
  "    ",
  " x  ",
  "x x ",
  "x x ",
  " x  ",
  "    ",
  "    ",
  "xx  ",
  "x x ",
  "xx  ",
  "x   ",
  "x   ",
  "    ",
  " xx ",
  "x x ",
  " xx ",
  "  x ",
  "  x ",
  "    ",
  " xx ",
  "x   ",
  "x   ",
  "x   ",
  "    ",
  "    ",
  " xx ",
  "xx  ",
  "  x ",
  "xx  ",
  "    ",
  " x  ",
  "xxx ",
  " x  ",
  " x  ",
  "  x ",
  "    ",
  "    ",
  "x x ",
  "x x ",
  "x x ",
  " xx ",
  "    ",
  "    ",
  "x x ",
  "x x ",
  " x  ",
  " x  ",
  "    ",
  "    ",
  "x x ",
  "xxx ",
  "xxx ",
  " x  ",
  "    ",
  "    ",
  "x x ",
  " x  ",
  " x  ",
  "x x ",
  "    ",
  "    ",
  "x x ",
  "x x ",
  " xx ",
  "  x ",
  "xx  ",
  "    ",
  "xxx ",
  "  x ",
  " x  ",
  "xxx ",
  "    ",
  "  x ",
  " x  ",
  "xx  ",
  " x  ",
  "  x ",
  "    ",
  " x  ",
  " x  ",
  "    ",
  " x  ",
  " x  ",
  "    ",
  "x   ",
  " x  ",
  " xx ",
  " x  ",
  "x   ",
  "    ",
  "  x ",
  "x   ",
  " x  ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  "    ",
  };
